#ifndef XGFXBRUSHMODELWRITABLE_H
#define XGFXBRUSHMODELWRITABLE_H

#include "xasset.h"

#include <QVector3D>

class XGfxBrushModelWritable : public XAsset
{
public:
    XGfxBrushModelWritable();
    ~XGfxBrushModelWritable();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector3D mMins;
    QVector3D mMaxs;
};

#endif // XGFXBRUSHMODELWRITABLE_H
